import { PlatformAccessory, CharacteristicValue } from 'homebridge';
import { DaikinApi } from './daikinapi';
import { DaikinOnePlusPlatform } from './platform';
/**
 * Air Quality Sensor
 * Sensor to set or get air quality values. Handles both indoor and outdoor sensors.
 * Assumes PM2_5Density for particle density as actual units Daikin uses are unknown.
 */
export declare class DaikinOnePlusAQSensor {
    private readonly platform;
    private readonly accessory;
    private readonly deviceId;
    private readonly daikinApi;
    private readonly forIndoor;
    private service;
    constructor(platform: DaikinOnePlusPlatform, accessory: PlatformAccessory, deviceId: string, daikinApi: DaikinApi, forIndoor: boolean);
    updateValues(): void;
    /**
     * Handle requests to get the current value of the "Air Quality" characteristic
     */
    handleAirQualityGet(): CharacteristicValue;
    /**
     * Handle requests to get the current value of the "Ozone Density" characteristic
     */
    handleOzoneGet(): CharacteristicValue;
    /**
     * Handle requests to get the current value of the "Current Temperature" characteristic
     */
    handleAirQualityValueGet(): CharacteristicValue;
    /**
     * Handle requests to get the current value of the "PM2.5 Density" characteristic
     */
    handlePM2_5DensityGet(): CharacteristicValue;
    /**
     * Handle requests to get the current value of the "Current Relative Humidity" characteristic
     */
    handleVocDensityGet(): CharacteristicValue;
}
//# sourceMappingURL=platformAQI.d.ts.map