import { PlatformAccessory, CharacteristicValue } from 'homebridge';
import { DaikinApi } from './daikinapi';
import { DaikinOnePlusPlatform } from './platform';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class DaikinOnePlusAwaySwitch {
    private readonly platform;
    private readonly accessory;
    private readonly deviceId;
    private readonly daikinApi;
    private service;
    constructor(platform: DaikinOnePlusPlatform, accessory: PlatformAccessory, deviceId: string, daikinApi: DaikinApi);
    updateValues(): void;
    /**
     * Handle requests to get the current value of the "On" characteristic
     */
    handleCurrentStateGet(): boolean;
    /**
     * Handle requests to set the "On" characteristic
     */
    handleCurrentStateSet(value: CharacteristicValue): Promise<void>;
}
//# sourceMappingURL=platformAwaySwitch.d.ts.map