import { PlatformAccessory, CharacteristicValue } from 'homebridge';
import { DaikinApi } from './daikinapi';
import { DaikinOnePlusPlatform } from './platform';
/**
 * Circulate Air Fan
 * Fan can either be on or off
 * Speed can be set to low, med, or high
 */
export declare class DaikinOnePlusCirculateAirFan {
    private readonly platform;
    private readonly accessory;
    private readonly deviceId;
    private readonly daikinApi;
    private service;
    CurrentState: CharacteristicValue;
    constructor(platform: DaikinOnePlusPlatform, accessory: PlatformAccessory, deviceId: string, daikinApi: DaikinApi);
    updateValues(): void;
    /**
     * Handle requests to get the current value of the "Active" characteristic
     */
    handleActiveGet(): 1 | 0;
    /**
     * Handle requests to set the "Active" characteristic
     */
    handleActiveSet(value: CharacteristicValue): Promise<void>;
    /**
     * Handle requests to get the current value of the "Rotation Speed" characteristic
     */
    handleSpeedGet(): number;
    /**
     * Handle requests to set the "Rotation Speed" characteristic
     */
    handleSpeedSet(value: CharacteristicValue): Promise<void>;
}
//# sourceMappingURL=platformCirculateAirFan.d.ts.map