import { PlatformAccessory, CharacteristicValue } from 'homebridge';
import { DaikinApi } from './daikinapi';
import { DaikinOnePlusPlatform } from './platform';
/**
 * Emergency Heat Switch
 * Unfortunately HomeKit does not support an "emergency heat" or "auxiliary heat" mode directly,
 * so the code works around that by exposing a switch to both control and show the emergency heat
 * status. "On" means auxiliary heat is being requested by the thermostat.
 */
export declare class DaikinOnePlusEmergencyHeatSwitch {
    private readonly platform;
    private readonly accessory;
    private readonly deviceId;
    private readonly daikinApi;
    private service;
    constructor(platform: DaikinOnePlusPlatform, accessory: PlatformAccessory, deviceId: string, daikinApi: DaikinApi);
    updateValues(): void;
    /**
     * Handle requests to get the current value of the "On" characteristic
     */
    handleCurrentStateGet(): boolean;
    /**
     * Handle requests to set the "On" characteristic
     */
    handleCurrentStateSet(value: CharacteristicValue): Promise<void>;
}
//# sourceMappingURL=platformEmergencyHeatSwitch.d.ts.map