import { PlatformAccessory, CharacteristicValue } from 'homebridge';
import { DaikinApi } from './daikinapi';
import { DaikinOnePlusPlatform } from './platform';
/**
 * One Clean Fan
 * Fan can either be on (clean requested for 3 hours) or off
 */
export declare class DaikinOnePlusOneCleanFan {
    private readonly platform;
    private readonly accessory;
    private readonly deviceId;
    private readonly daikinApi;
    private service;
    CurrentState: CharacteristicValue;
    constructor(platform: DaikinOnePlusPlatform, accessory: PlatformAccessory, deviceId: string, daikinApi: DaikinApi);
    updateValues(): void;
    /**
     * Handle requests to get the current value of the "Active" characteristic
     */
    handleActiveGet(): 1 | 0;
    /**
     * Handle requests to set the "Active" characteristic
     */
    handleActiveSet(value: CharacteristicValue): Promise<void>;
}
//# sourceMappingURL=platformOneCleanFan.d.ts.map